package com.sundot.airport.system.domain.vo;


import io.swagger.annotations.ApiModelProperty;

public class PositionInfoVO {
    // 大区域信息
    @ApiModelProperty(name = "大区域ID")
    private Long id;

    @ApiModelProperty(name = "大区域名称")
    private String name;

    @ApiModelProperty(name = "大区域编码")
    private String code;

    @ApiModelProperty(name = "大区域层级")
    private Integer level;

    @ApiModelProperty(name = "大区域位置类型")
    private String positionType;

    @ApiModelProperty(name = "大区域通道类型")
    private String channelType;

    @ApiModelProperty(name = "大区域位置类型描述")
    private String positionTypeDesc;

    @ApiModelProperty(name = "大区域通道类型描述")
    private String channelTypeDesc;

    private Long parentId;
    private String tenantId;
    private Integer revision;

    // 小区域信息
    @ApiModelProperty(name = "小区域ID")
    private Long smallAreaId;

    @ApiModelProperty(name = "小区域名称")
    private String smallAreaName;

    @ApiModelProperty(name = "小区域编码")
    private String smallAreaCode;

    @ApiModelProperty(name = "小区域层级")
    private Integer smallAreaLevel;

    @ApiModelProperty(name = "小区域位置类型")
    private String smallAreaPositionType;

    @ApiModelProperty(name = "小区域通道类型")
    private String smallAreaChannelType;

    @ApiModelProperty(name = "小区域位置类型描述")
    private String smallAreaPositionTypeDesc;

    @ApiModelProperty(name = "小区域通道类型描述")
    private String smallAreaChannelTypeDesc;

    private Long smallAreaParentId;

    // 通道信息
    @ApiModelProperty(name = "通道ID")
    private Long channelId;

    @ApiModelProperty(name = "通道名称")
    private String channelName;

    @ApiModelProperty(name = "通道编码")
    private String channelCode;

    @ApiModelProperty(name = "通道层级")
    private Integer channelLevel;

    @ApiModelProperty(name = "通道位置类型")
    private String channelPositionType;

    @ApiModelProperty(name = "通道通道类型")
    private String channelChannelType;

    @ApiModelProperty(name = "通道位置类型描述")
    private String channelPositionTypeDesc;

    @ApiModelProperty(name = "通道通道类型描述")
    private String channelChannelTypeDesc;

    private Long channelParentId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getPositionType() {
        return positionType;
    }

    public void setPositionType(String positionType) {
        this.positionType = positionType;
    }

    public String getChannelType() {
        return channelType;
    }

    public void setChannelType(String channelType) {
        this.channelType = channelType;
    }

    public String getPositionTypeDesc() {
        return positionTypeDesc;
    }

    public void setPositionTypeDesc(String positionTypeDesc) {
        this.positionTypeDesc = positionTypeDesc;
    }

    public String getChannelTypeDesc() {
        return channelTypeDesc;
    }

    public void setChannelTypeDesc(String channelTypeDesc) {
        this.channelTypeDesc = channelTypeDesc;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getRevision() {
        return revision;
    }

    public void setRevision(Integer revision) {
        this.revision = revision;
    }

    public Long getSmallAreaId() {
        return smallAreaId;
    }

    public void setSmallAreaId(Long smallAreaId) {
        this.smallAreaId = smallAreaId;
    }

    public String getSmallAreaName() {
        return smallAreaName;
    }

    public void setSmallAreaName(String smallAreaName) {
        this.smallAreaName = smallAreaName;
    }

    public String getSmallAreaCode() {
        return smallAreaCode;
    }

    public void setSmallAreaCode(String smallAreaCode) {
        this.smallAreaCode = smallAreaCode;
    }

    public Integer getSmallAreaLevel() {
        return smallAreaLevel;
    }

    public void setSmallAreaLevel(Integer smallAreaLevel) {
        this.smallAreaLevel = smallAreaLevel;
    }

    public String getSmallAreaPositionType() {
        return smallAreaPositionType;
    }

    public void setSmallAreaPositionType(String smallAreaPositionType) {
        this.smallAreaPositionType = smallAreaPositionType;
    }

    public String getSmallAreaChannelType() {
        return smallAreaChannelType;
    }

    public void setSmallAreaChannelType(String smallAreaChannelType) {
        this.smallAreaChannelType = smallAreaChannelType;
    }

    public String getSmallAreaPositionTypeDesc() {
        return smallAreaPositionTypeDesc;
    }

    public void setSmallAreaPositionTypeDesc(String smallAreaPositionTypeDesc) {
        this.smallAreaPositionTypeDesc = smallAreaPositionTypeDesc;
    }

    public String getSmallAreaChannelTypeDesc() {
        return smallAreaChannelTypeDesc;
    }

    public void setSmallAreaChannelTypeDesc(String smallAreaChannelTypeDesc) {
        this.smallAreaChannelTypeDesc = smallAreaChannelTypeDesc;
    }

    public Long getSmallAreaParentId() {
        return smallAreaParentId;
    }

    public void setSmallAreaParentId(Long smallAreaParentId) {
        this.smallAreaParentId = smallAreaParentId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public Integer getChannelLevel() {
        return channelLevel;
    }

    public void setChannelLevel(Integer channelLevel) {
        this.channelLevel = channelLevel;
    }

    public String getChannelPositionType() {
        return channelPositionType;
    }

    public void setChannelPositionType(String channelPositionType) {
        this.channelPositionType = channelPositionType;
    }

    public String getChannelChannelType() {
        return channelChannelType;
    }

    public void setChannelChannelType(String channelChannelType) {
        this.channelChannelType = channelChannelType;
    }

    public String getChannelPositionTypeDesc() {
        return channelPositionTypeDesc;
    }

    public void setChannelPositionTypeDesc(String channelPositionTypeDesc) {
        this.channelPositionTypeDesc = channelPositionTypeDesc;
    }

    public String getChannelChannelTypeDesc() {
        return channelChannelTypeDesc;
    }

    public void setChannelChannelTypeDesc(String channelChannelTypeDesc) {
        this.channelChannelTypeDesc = channelChannelTypeDesc;
    }

    public Long getChannelParentId() {
        return channelParentId;
    }

    public void setChannelParentId(Long channelParentId) {
        this.channelParentId = channelParentId;
    }

    @Override
    public String toString() {
        return "PositionInfoVO{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", code='" + code + '\'' +
                ", level=" + level +
                ", positionType='" + positionType + '\'' +
                ", channelType='" + channelType + '\'' +
                ", positionTypeDesc='" + positionTypeDesc + '\'' +
                ", channelTypeDesc='" + channelTypeDesc + '\'' +
                ", parentId=" + parentId +
                ", tenantId='" + tenantId + '\'' +
                ", revision=" + revision +
                ", smallAreaId=" + smallAreaId +
                ", smallAreaName='" + smallAreaName + '\'' +
                ", smallAreaCode='" + smallAreaCode + '\'' +
                ", smallAreaLevel=" + smallAreaLevel +
                ", smallAreaPositionType='" + smallAreaPositionType + '\'' +
                ", smallAreaChannelType='" + smallAreaChannelType + '\'' +
                ", smallAreaPositionTypeDesc='" + smallAreaPositionTypeDesc + '\'' +
                ", smallAreaChannelTypeDesc='" + smallAreaChannelTypeDesc + '\'' +
                ", smallAreaParentId=" + smallAreaParentId +
                ", channelId=" + channelId +
                ", channelName='" + channelName + '\'' +
                ", channelCode='" + channelCode + '\'' +
                ", channelLevel=" + channelLevel +
                ", channelPositionType='" + channelPositionType + '\'' +
                ", channelChannelType='" + channelChannelType + '\'' +
                ", channelPositionTypeDesc='" + channelPositionTypeDesc + '\'' +
                ", channelChannelTypeDesc='" + channelChannelTypeDesc + '\'' +
                ", channelParentId=" + channelParentId +
                '}';
    }
}
